%define name perl-Crypt-Blowfish
%define real_name perl-Crypt-Blowfish
%define version 2.09

Name: %{name}
Version: %{version}
Summary: Crypt::Blowfish module for perl
Release: 1
License: Free to use (see COPYRIGHT)
Group: 	System Environment/Libraries
Source0: Crypt-Blowfish-%{version}.tar.gz
Url: http://www.cpan.org
BuildArch: i386
Buildroot: %{_tmppath}/%{name}-root
Requires: perl >= 5.6.0

%description
Crypt::Blowfish module for perl. Needed by Crypt::CBC.
Blowfish is capable of strong encryption and can use key sizes up to 56 bytes (a 448 bit key). You're encouraged to take advantage of the full key size to ensure the strongest encryption possible from this module.

%prep
%setup -q -n Crypt-Blowfish-%{version}
#%patch0 -p1

%build
%{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}
#rm -rf $RPM_BUILD_ROOT/usr/src

%files
%defattr(-,root,root)
%doc README MANIFEST COPYRIGHT
%{_libdir}/perl5/vendor_perl/
%{_mandir}/*/*

%changelog
* Thu Jul 08 2004 Ralf Spenneberg <ralf@spenneberg.de>
- First release
